import { Component } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent, IonIcon, IonButtons, IonButton, IonFooter, IonLabel, IonAvatar, IonList, IonItem, IonItemOptions, IonItemOption, IonThumbnail, IonItemSliding, IonCardContent, IonCardHeader, IonCardTitle, IonCard, IonRow, IonCol, IonGrid } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { addIcons } from 'ionicons';
import { logoTwitter, logoWechat } from 'ionicons/icons';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';

@Component({
  selector: 'app-tab2',
  templateUrl: 'tab2.page.html',
  styleUrls: ['tab2.page.scss'],
  standalone: true,
  imports: 
  [
    CommonModule,RouterModule,
    IonItemSliding,IonCardContent,IonCardHeader,IonCardTitle,IonCard,
    IonRow,IonCol,IonGrid,
    IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent,
    IonIcon,IonButtons,IonButton,IonFooter,IonLabel,IonAvatar,IonList,IonItem,IonItemOptions,IonItemOption,
    IonThumbnail,
  ],
})
export class Tab2Page {
  constructor() {
    addIcons({logoWechat,logoTwitter})

  }

  features = [
    {
      icon: 'create',
      title: '剧本创作',
      description: '运用AIGC技术，快速生成符合景区特色的剧本。',
      link: '/script-creation',
    },
    {
      icon: 'color-palette',
      title: 'IP打造',
      description: '设计独特角色形象，发掘景区特色IP。',
      link: '/ip-creation',
    },
    {
      icon: 'game-controller',
      title: '游戏体验',
      description: '参与沉浸式剧本杀，享受互动乐趣。',
      link: '/game-experience',
    },
  ];



  startExperience(script: any) {
    // 跳转到剧本体验页面
    console.log('开始体验:', script.title);
  }
}



